/*
 * Copyright 2006 Mask@ Project.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.maskat.framework.screendef;

public class FrameDef extends ContainerDef {
	private String title;

	private String position;

	private String draggable;

	private String autoResizeParent;

	private String dynamic;

	private String printTitle;

	private String autoResizeContenu;

	private String boolPrint;

	private String boolMaxi;

	public String getAutoResizeParent() {
		return autoResizeParent;
	}

	public void setAutoResizeParent(String autoResizeParent) {
		this.autoResizeParent = autoResizeParent;
	}

	public String getDraggable() {
		return draggable;
	}

	public void setDraggable(String draggable) {
		this.draggable = draggable;
	}

	public String getDynamic() {
		return dynamic;
	}

	public void setDynamic(String dynamic) {
		this.dynamic = dynamic;
	}

	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getAutoResizeContenu() {
		return autoResizeContenu;
	}

	public void setAutoResizeContenu(String autoResizeContenu) {
		this.autoResizeContenu = autoResizeContenu;
	}

	public String getBoolMaxi() {
		return boolMaxi;
	}

	public void setBoolMaxi(String boolMaxi) {
		this.boolMaxi = boolMaxi;
	}

	public String getBoolPrint() {
		return boolPrint;
	}

	public void setBoolPrint(String boolPrint) {
		this.boolPrint = boolPrint;
	}

	public String getPrintTitle() {
		return printTitle;
	}

	public void setPrintTitle(String printTitle) {
		this.printTitle = printTitle;
	}

}
